package org.wisterina.android.utility.dialogfragment.fileselect;

import java.io.File;
import java.util.Locale;

/**
 * t@CNXłBpbP[WNXB
 */
class FileInformation implements Comparable<FileInformation> {
	/**
	 * t@CB
	 */
	private File file;
	
	/**
	 * RXgN^B
	 * @param file t@C
	 */
	public FileInformation(File file) {
		this.file = file;
	}

	@Override
	public int compareTo(FileInformation opponent) {
		if(this.file.isDirectory() && ! opponent.file.isDirectory()) {
			return -1;
		} else if(! this.file.isDirectory() && opponent.file.isDirectory()) {
			return 1;
		} else {
			return this.file.getName().toLowerCase(Locale.US).compareTo(opponent.file.getName().toLowerCase(Locale.US));
		}
	}
	
	/**
	 * t@CԂ܂B
	 * @return t@C
	 */
	public File getFile() {
		return this.file;
	}
}
